Bug 497245 - anaconda doesn't recognize newly created boot partition
anaconda doesn't recognize newly created boot partition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 19:22 EDT by Geoff Levand
Modified: 2009-05-05 10:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 10:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (36.87 KB, text/plain)
2009-04-22 19:22 EDT, Geoff Levand
no flags Details
storage.log (56.28 KB, text/plain)
2009-04-22 19:23 EDT, Geoff Levand
no flags Details

  None (edit)
Description Geoff Levand 2009-04-22 19:22:25 EDT
Created attachment 340848 [details]
anaconda.log

Description of problem:

Using 'custom partition layout' anaconda won't continue past the partition setup page, giving the 'You have not created a boot partition' dialog, even if a /boot partition was created.

Version-Release number of selected component (if applicable):

anaconda-11.5.0.47

How reproducible:

100%

Steps to Reproduce:
1. start graphical install
2. select 'custom partition layout'
3. create ext3 /boot and ext4 / partitions
4> select continue 
  
Actual results:

Shows 'Partition Error' dialog with 'You have not created a boot partition'

Expected results:

Continues and writes new partition table to disk.

Additional info:

Tested on PS3 game console.
Comment 1 Geoff Levand 2009-04-22 19:23:31 EDT
Created attachment 340849 [details]
storage.log
Comment 2 Chris Lumens 2009-04-28 11:56:12 EDT
There's nothing in your log files about a /boot partition.  Are you able to reproduce this bug?
Comment 3 Geoff Levand 2009-04-30 17:27:31 EDT
This bug is 100% reproducable on PS3 game console.

I am not familiar with the python language, nor the internals of anaconda, but the change below seems to fix it.  At least I can create a bootable system with just an ext3 root partition on ps3da1 and a swap partition on ps3da2.

This two partition config is a very common for PS3, and was supported on older fedora versions, so will be expected by users.

-Geoff

diff --git a/platform.py b/platform.py
index bf6773c..0ef7ac4 100644
--- a/platform.py
+++ b/platform.py
@@ -68,7 +68,12 @@ class Platform(object):
             raise NotImplementedError("bootDevice not implemented for this platform")
 
         mntDict = self._mntDict()
-        return mntDict.get("/boot", mntDict.get("/"))
+        bootDev = mntDict.get("/boot")
+
+        if not bootDev:
+            bootDev = mntDict.get("/")
+
+        return bootDev
 
     @property
     def bootFSType(self):
Comment 4 Geoff Levand 2009-04-30 18:53:04 EDT
After some more testing, I found that it was not my change that made it work, but that I was using a newer version of platform.py than anaconda-11.5.0.47.

So I think this bug is fixed in anaconda-11.5.0.48 or anaconda-11.5.0.49.

I will test when the rawhide build gets a newer anaconda version and report.

-Geoff
Comment 5 Geoff Levand 2009-05-04 15:53:04 EDT
I tested today's build (04-May-2009 09:36), and this problem is fixed.

-Geoff
Comment 6 Chris Lumens 2009-05-05 10:29:09 EDT
Great, thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.